'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
// 车辆表
const ZhwlcarSchema = {
  car_onwer: { type: String, required: false, maxLength: 200 }, // 机动车所有人
  it: { type: String, required: false, maxLength: 200 }, // 身份证明名称
  it_member: { type: String, required: false, maxLength: 200 }, // 身份证明代码
  ro: { type: String, required: false, maxLength: 200 }, // 登记机关
  r_time: { type: String, required: false, maxLength: 200 }, // 登记日期
  car_no: { type: String, required: false, maxLength: 200 }, // 机动车登记编号
  car_type: { type: String, required: false, maxLength: 200 }, // 机动车类别
  cc_no: { type: String, required: false, maxLength: 200 }, // 机动车档案编号
  cc_weight: { type: String, required: false, maxLength: 200 }, // 机动车整备质量(自重)
  cc_scrap_time: { type: String, required: false, maxLength: 200 }, // 机动车强制报废日期
  cc_examine_time: { type: String, required: false, maxLength: 200 }, // 机动车检验有效期
  rc_no: { type: String, required: false, maxLength: 200 }, // 道路运输证编号
  rc_examine_time: { type: String, required: false, maxLength: 200 }, // 道路检验有效期
  bcc_no: { type: String, required: false, maxLength: 200 }, // 车辆购置税完税证明编号
  fi_name: { type: String, required: false, maxLength: 200 }, // 强制险责任公司
  fi_tel: { type: String, required: false, maxLength: 200 }, // 强制险责任公司服务电话
  fi_no: { type: String, required: false, maxLength: 200 }, // 强制险保险单号
  fi_cost: { type: String, required: false, maxLength: 200 }, // 强制险费用合计
  fi_start_time: { type: String, required: false, maxLength: 200 }, // 强制险起始时间
  fi_end_time: { type: String, required: false, maxLength: 200 }, // 强制险截止时间
  fi_dw: { type: String, required: false, maxLength: 200 }, // 强制险合同争议解决方式
  fi_vt: { type: String, required: false, maxLength: 200 }, // 强制险代收车船使用税
  fi_sign_time: { type: String, required: false, maxLength: 200 }, // 强制险签单日期
  bi_name: { type: String, required: false, maxLength: 200 }, // 商业险责任公司名称
  bi_tel: { type: String, required: false, maxLength: 200 }, // 商业险责任公司电话
  bi_no: { type: String, required: false, maxLength: 200 }, // 商业险保险单号
  bi_cost: { type: String, required: false, maxLength: 200 }, // 商业险费用合计
  bi_start_time: { type: String, required: false, maxLength: 200 }, // 商业险起始日期
  bi_end_time: { type: String, required: false, maxLength: 200 }, // 商业险截止日期
  bi_dw: { type: String, required: false, maxLength: 200 }, // 商业险合同争议解决方式
  bi_sign_time: { type: String, required: false, maxLength: 200 }, // 商业险签约日期
  remark: { type: String, required: false, maxLength: 200 }, // 备注
  last_place: { type: String, required: false, maxLength: 200 }, // 最后地点
};

const schema = new Schema(ZhwlcarSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Zhwlcar', schema, 'zhwlcar');
};
